<?php
// Do not delete these lines
if ( !empty( $_SERVER['SCRIPT_FILENAME'] ) && 'comments.php' == basename( $_SERVER['SCRIPT_FILENAME'] ) )
  die ('Please do not load this page directly. Thanks!');

if ( post_password_required() ) { ?>
  <p class="nocomments"><?php _e( 'This post is password protected. Enter the password to view any comments.', WPOP_THEME_SLUG ); ?></p>
  <?php
  return;
}
?>

<div class="comments-list grid_8">

<!-- You can start editing here. -->

<?php if ( have_comments() ) : ?>
  <h3 id="comments"><?php _e( 'Comments', WPOP_THEME_SLUG ); ?></h3>

  <ol class="commentlist">
    <?php wp_list_comments(); ?>
  </ol>

  <div class="navigation">
    <div class="alignleft"><?php previous_comments_link() ?></div>
    <div class="alignright"><?php next_comments_link() ?></div>
  </div>
<?php else : // this is displayed if there are no comments so far ?>

  <?php if ( comments_open() ) : ?>
  <!-- If comments are open, but there are no comments. -->
  <?php else : // comments are closed ?>
  <!-- If comments are closed. -->
  <p class="nocomments"><?php _e( 'Comments are closed.', WPOP_THEME_SLUG ); ?></p>
  <?php endif; ?>
  
<?php endif; ?>
</div> <!-- comments list -->

<?php if ( comments_open() ) : ?>
<div id="respond" class="grid_8">
  <h3><?php comment_form_title( __( 'Your Comment', WPOP_THEME_SLUG ), __( 'Leave a Reply to %s', WPOP_THEME_SLUG ) ); ?></h3>
  <div class="cancel-comment-reply">
    <small><?php cancel_comment_reply_link(); ?></small>
  </div>

  <?php if ( get_option('comment_registration') && !is_user_logged_in() ): ?>
  <p><?php printf( _e( 'You must <a href="%s">logged in</a> to post a comment.', WPOP_THEME_SLUG ), wp_login_url( get_permalink() ) ); ?></p>
  <?php else: ?>

  <form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
  <?php if ( is_user_logged_in() ) : ?>
    <p><?php _e( 'Logged in as', WPOP_THEME_SLUG ); ?> <a href="<?php echo get_option( 'siteurl' ); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url( get_permalink() ); ?>" title="<?php _e( 'Log out of this account', WPOP_THEME_SLUG ); ?>"><?php _e( 'Log out &raquo;', WPOP_THEME_SLUG ); ?></a></p>
  <?php else : ?>
    <p><input type="text" name="author" id="author" value="<?php echo esc_attr( $comment_author, WPOP_THEME_SLUG ); ?>" size="22" tabindex="1" <?php if ( $req ) echo "aria-required='true'"; ?> />
    <label for="author"><small><?php _e( 'Name', WPOP_THEME_SLUG ); ?><?php if ( $req ) printf( ' (%s)', __( 'required', WPOP_THEME_SLUG ) ); ?></small></label></p>
    <p><input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" <?php if ( $req ) echo "aria-required='true'"; ?> />
    <label for="email"><small><?php _e( 'Email', WPOP_THEME_SLUG ); ?><?php if ( $req ) printf( ' (%s)', __( 'required', WPOP_THEME_SLUG ) ); ?></small></label></p>
    <p><input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="22" tabindex="3" />
    <label for="url"><small><?php _e( 'Website', WPOP_THEME_SLUG ); ?></small></label></p>
  <?php endif; ?>
    <p><textarea name="comment" id="comment" cols="58" rows="10" tabindex="4"></textarea></p>
    <p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e( 'Submit Comment', WPOP_THEME_SLUG ) ?>" />
    <?php comment_id_fields(); ?>
    </p>
    <?php do_action( 'comment_form', $post->ID ); ?>
  </form>
<?php endif; // If registration required and not logged in ?>
</div>
<?php endif; // if you delete this the sky will fall on your head ?>
