<?php
/**
 * Fotofolio Landscape Options
 *
 * WARNING! DO NOT EDIT THIS FILE!
 * Editing below this line should NOT be necessary.
 * Change at your own risk.
 *
 * @category   Wordspop
 * @package    WPop
 * @copyright  Copyright (c) 2010-2011 Wordspop
 * @license    http://www.opensource.org/licenses/gpl-2.0.php GNU GPL version 2
 * @version    $Id:$
 */

$wpop_options = array(

    // General
    array(
        'type'      => 'general'
    ),

    array(
        'type'      => 'textarea',
        'title'     => __( 'Bio', WPOP_THEME_SLUG ),
        'name'      => 'intro',
        'desc'      => __( 'About yourself.', WPOP_THEME_SLUG ),
        'std'       => __( 'I\'m too lazy to write about myself :D', WPOP_THEME_SLUG ),
        'attrs'     => array( 'rows' => 5 )
    ),
    array(
        'type'      => 'text',
        'name'      => 'testimonial_caption',
        'title'     => __( 'Testimonial', WPOP_THEME_SLUG ),
        'std'       => __( 'Testimonial', WPOP_THEME_SLUG ),
        'desc'      => __( 'Testimonial heading caption.', WPOP_THEME_SLUG )
    ),
    array(
        'type'      => 'select',
        'title'     => __( 'Testimonial Category', WPOP_THEME_SLUG ),
        'name'      => 'testimonial',
        'desc'      => __( 'A category which will be treated as the testimonial page.', WPOP_THEME_SLUG ),
        'options'   => 'wpop_categories_options'
    ),
    array(
        'type'      => 'text',
        'name'      => 'recentlyadded_caption',
        'title'     => __( 'Recently Added', WPOP_THEME_SLUG ),
        'std'       => __( 'Recently Added', WPOP_THEME_SLUG ),
        'desc'      => __( 'Recently Added heading caption.', WPOP_THEME_SLUG )
    ),

    // Blog section
    array(
        'type'      => 'heading',
        'title'     => __( 'Blog', WPOP_THEME_SLUG ),
        'name'      => 'blog',
        'icon'      => 'blog'
    ),
    array(
        'type'      => 'select',
        'title'     => __( 'Blog Section', WPOP_THEME_SLUG ),
        'name'      => 'blog',
        'desc'      => __( 'A category which will be treated as the blog section.', WPOP_THEME_SLUG ),
        'options'   => 'wpop_categories_options'
    ),
    array(
        'type'      => 'text',
        'title'     => __( 'Blog Heading', WPOP_THEME_SLUG ),
        'name'      => 'blog_title',
        'desc'      => __( 'Heading title for blog section.', WPOP_THEME_SLUG ),
        'std'       => __( 'Blog', WPOP_THEME_SLUG )
    ),

    // Slideshow
    array(
        'type'      => 'slider',
        'std'   => array(
            'slider_source' => 'categories'
        )
    ),
    array(
        'type'      => 'select',
        'title'     => __( 'Transition Effect', WPOP_THEME_SLUG ),
        'name'      => 'slider_effect',
        'desc'      => __( 'The slider transition effect.', WPOP_THEME_SLUG ),
        'options'   => array(
            'fade'    => __( 'Fade', WPOP_THEME_SLUG ),
            'slide'   => __( 'Slide', WPOP_THEME_SLUG ),
        ),
        'std'       => 'fade'
    ),
    array(
        'type'      => 'text',
        'title'     => __( 'Transition Speed', WPOP_THEME_SLUG ),
        'name'      => 'slider_speed',
        'desc'      => 'miliseconds',
        'std'       => 1000
    ),
    array(
        'type'      => 'text',
        'title'     => __( 'Display Duration', WPOP_THEME_SLUG ),
        'name'      => 'slider_timeout',
        'desc'      => __( 'miliseconds', WPOP_THEME_SLUG ),
        'std'       => 10000
    ),
    array(
        'type'      => 'checkbox',
        'name'      => 'slider_disable_links',
        'title'     => __( 'Entry Link', WPOP_THEME_SLUG ),
        'desc'      => __( 'Disable and use only the image on slider.', WPOP_THEME_SLUG )
    ),
    array(
        'type'      => 'radio',
        'name'      => 'slider_caption',
        'title'     => __( 'Show Caption', WPOP_THEME_SLUG ),
        'options'   => array(
            'yes' => __( 'Yes', WPOP_THEME_SLUG ),
            'no'  => __( 'No', WPOP_THEME_SLUG )
        ),
        'std'       => 'yes'
    ),

    // Fancybox
    array(
        'type'      => 'heading',
        'name'      => 'popup',
        'title'     => __( 'Popup', WPOP_THEME_SLUG ),
        'icon'      => 'popup'
    ),
    array(
        'type'      => 'checkbox',
        'name'      => 'fancybox_autoscale',
        'title'     => __( 'Auto Scale', WPOP_THEME_SLUG),
        'desc'      => __( 'Auto scaled the popup to fit the viewport.', WPOP_THEME_SLUG ),
        'std'       => 'true'
    ),
    array(
        'type'      => 'checkbox',
        'name'      => 'fancybox_centeronscroll',
        'title'     => __( 'Always on Center', WPOP_THEME_SLUG ),
        'desc'      => __( 'Popup is always centered while scrolling page.', WPOP_THEME_SLUG ),
    ),
    array(
        'type'      => 'checkbox',
        'name'      => 'fancybox_hideoncontentclick',
        'title'     => __( 'Close on Click', WPOP_THEME_SLUG ),
        'desc'      => __( 'Close the popup if clicking the content.', WPOP_THEME_SLUG ),
    ),
    array(
        'type'      => 'checkbox',
        'name'      => 'fancybox_titleshow',
        'title'     => __( 'Show Title', WPOP_THEME_SLUG ),
        'desc'      => __( 'Show the post title on popup box.', WPOP_THEME_SLUG ),
        'std'       => 'true'
    ),
    array(
        'type'      => 'radio',
        'name'      => 'fancybox_titleposition',
        'title'     => __( 'Title Position', WPOP_THEME_SLUG ),
        'desc'      => __( 'The position of title should be placed.', WPOP_THEME_SLUG ),
        'options'   => array(
            'inside'  => __( 'Inside', WPOP_THEME_SLUG ),
            'outside' => __( 'Outside', WPOP_THEME_SLUG ),
            'over'    => __( 'Over', WPOP_THEME_SLUG )
        ),
        'std'       => 'inside'
    ),

    // Styling
    array(
        'type'      => 'styling',
        'excepts'   => array('background_color', 'background_image', 'background_repeat', 'background_position')
    ),
    
    array(
        'type'      => 'heading',
        'name'      => 'layout',
        'title'     => 'Layout',
        'icon'      => 'layout'
    ),
    array(
        'type'      => 'radio',
        'name'      => 'intro_enable',
        'title'     => __( 'Show Bio', WPOP_THEME_SLUG ),
        'options'   => array(
            'yes' => __( 'Yes', WPOP_THEME_SLUG ),
            'no'  => __( 'No', WPOP_THEME_SLUG )
        ),
        'std'       => 'yes',
        'desc'      => __( 'Whether the bio should be shown on Home footer or not.', WPOP_THEME_SLUG )
    ),
    array(
        'type'      => 'radio',
        'name'      => 'testimonial_enable',
        'title'     => __( 'Show Testimonial', WPOP_THEME_SLUG ),
        'options'   => array(
            'yes' => __( 'Yes', WPOP_THEME_SLUG ),
            'no'  => __( 'No', WPOP_THEME_SLUG )
        ),
        'std'       => 'yes',
        'desc'      => __( 'Whether the testimonial should be shown on Home footer or not.', WPOP_THEME_SLUG )
    ),
    array(
        'type'      => 'radio',
        'name'      => 'show_latest',
        'title'     => __( 'Show Latest Thumbnails', WPOP_THEME_SLUG ),
        'options'   => array(
            'yes' => __( 'Yes', WPOP_THEME_SLUG ),
            'no'  => __( 'No', WPOP_THEME_SLUG )
        ),
        'std'       => 'yes',
        'desc'      => __( 'Whether the latest thumbnails should be shown on Home footer or not.', WPOP_THEME_SLUG )
    ),
    array(
        'type'      => 'radio',
        'name'      => 'show_exif',
        'title'     => __( 'Show EXIF Data', WPOP_THEME_SLUG ),
        'options'   => array(
            'yes' => __( 'Yes', WPOP_THEME_SLUG ),
            'no'  => __( 'No', WPOP_THEME_SLUG )
        ),
        'std'       => 'yes',
        'desc'      => __( 'Show the EXIF metadata of current photo.', WPOP_THEME_SLUG )
    ),

    // Typography
    array(
        'type'      => 'typography',
        'excepts'   => array( 'typography_h1', 'typography_h2' )
    ),
    array(
        'type'      => 'character',
        'name'      => 'typography_slideshowtitle',
        'title'     => __( 'Slideshow Title', WPOP_THEME_SLUG ),
        'selector'  => '.slideshow .slide h2'
    ),
    array(
        'type'      => 'character',
        'name'      => 'typography_mainheading',
        'title'     => __( 'Main Heading', WPOP_THEME_SLUG ),
        'selector'  => '.main h2.title'
    ),
    array(
        'type'      => 'character',
        'name'      => 'typography_secondaryheading',
        'title'     => __( 'Secondary Heading', WPOP_THEME_SLUG ),
        'selector'  => '.latest h2, .testimonial h2'
    ),
    array(
        'type'      => 'character',
        'name'      => 'typography_postheading',
        'title'     => __( 'Content Heading', WPOP_THEME_SLUG ),
        'selector'  => '.post-content h2'
    ),
    array(
        'type'      => 'character',
        'name'      => 'typography_widgetheading',
        'title'     => __( 'Widget Heading', WPOP_THEME_SLUG ),
        'selector'  => '.widgz h2'
    ),

    // Footer
    array(
        'type'      => 'header'
    ),

    // Footer
    array(
        'type'      => 'footer'
    ),

    // Miscellanious
    array(
        'type'      => 'heading',
        'title'     => __( 'Miscellanious', WPOP_THEME_SLUG ),
        'name'      => 'misc',
        'icon'      => 'miscellanious'
    ),
    array(
        'type'      => 'radio',
        'name'      => 'detail_comment',
        'title'     => __( 'Allow Comment', WPOP_THEME_SLUG ),
        'options'   => array(
            'yes' => __( 'Yes', WPOP_THEME_SLUG ),
            'no'  => __( 'No', WPOP_THEME_SLUG )
        ),
        'std'       => 'yes',
        'desc'      => __( 'Allow visitor to post a comment.', WPOP_THEME_SLUG )
    ),
    array(
        'type'      => 'radio',
        'name'      => 'prevent_rightclick',
        'title'     => __( 'Prevent Right Click', WPOP_THEME_SLUG ),
        'options'   => array(
            'yes' => __( 'Yes', WPOP_THEME_SLUG ),
            'no'  => __( 'No', WPOP_THEME_SLUG )
        ),
        'std'       => 'no',
        'desc'      => __( 'Prevent visitor to right click the document (e.g for saving the stuffs).', WPOP_THEME_SLUG )
    )

);
